#ifndef EXIT_CODES_H
#define EXIT_CODES_H
/*
 * this code is protected by the GNU affero GPLv3
 * author:Sylvain BERTRAND 
 */
#define SIGS_SETUP_BLOCKING_FAILURE				1
#define SIGS_SETUP_HANDLERS_FAILURE				2
#define SETUP_EPOLL_CREATE_FAILURE				3
#define EPOLL_SIGS_SETUP_EPOLL_ADD_FAILURE			4
#define SRV_SOCK_CREATE_FAILURE					5
#define SRV_SOCK_SET_SOCK_OPTION_FAILURE			6
#define SRV_SOCK_BIND_FAILURE					7
#define SRV_SOCK_LISTEN_FAILURE					8
#define SRV_SOCK_SETUP_EPOLL_CTL_ADD_FAILURE			9
#define MAIN_LOOP_EPOLL_WAIT_GENERIC_FAILURE			10
#define SIGS_CONSUME_SIGINFO_READ_FAILURE			11
#define MAIN_LOOP_EPOLL_WAIT_SIGS_FD_EVENT_IS_NOT_EPOLLIN	12
#define MAIN_LOOP_EPOLL_WAIT_SRV_SOCK_UNEXPECTED_EVENT		13
#define MAIN_LOOP_EPOLL_WAIT_SRV_SOCK_UNKNOWN_FAILURE		14
#define SETUP_AUXVEC_PAGESIZE_NOT_FOUND				15
#define PAGE_MMAP_FAILURE					16
#define IDLETIMERFD_UNABLE_TO_CREATE_FD				17
#define EPOLL_IDLETIMERFD_SETUP_EPOLL_ADD_FAILURE		18
#define IDLETIMERFD_READ_FAILURE				19
#define IDLETIMERFD_FAILED_TO_ARM				20
#define IDLETIMERFD_FAILED_TO_DISARM				21
#endif
